Index: /trunk/sources/HeuristicLab 3.3.sln
===================================================================
--- /trunk/sources/HeuristicLab 3.3.sln	(revision 4410)
+++ /trunk/sources/HeuristicLab 3.3.sln	(revision 4411)
@@ -65,5 +65,4 @@
 		{72104A0B-90E7-42F3-9ABE-9BBBADD4B943} = {72104A0B-90E7-42F3-9ABE-9BBBADD4B943}
 		{3081630C-9521-47D7-8075-1777C12F212C} = {3081630C-9521-47D7-8075-1777C12F212C}
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC} = {7252890C-F207-4AD6-B3C9-764DF93F73CC}
 		{25087811-F74C-4128-BC86-8324271DA13E} = {25087811-F74C-4128-BC86-8324271DA13E}
 		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2} = {662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}
@@ -304,6 +303,4 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.MainForm.WindowsForms-3.3.Tests", "HeuristicLab.MainForm.WindowsForms\3.3\Tests\HeuristicLab.MainForm.WindowsForms-3.3.Tests.csproj", "{9F3D601F-E39A-42BE-AEF7-2BF5AD2942D9}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.DataAnalysis.FeatureSelection-3.3", "HeuristicLab.Problems.DataAnalysis.FeatureSelection\3.3\HeuristicLab.Problems.DataAnalysis.FeatureSelection-3.3.csproj", "{7252890C-F207-4AD6-B3C9-764DF93F73CC}"
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.ExternalEvaluation.GP-3.3", "HeuristicLab.Problems.ExternalEvaluation.GP\3.3\HeuristicLab.Problems.ExternalEvaluation.GP-3.3.csproj", "{E86E215D-E3CE-4244-978D-555D4E17AC09}"
@@ -1358,16 +1355,4 @@
 		{9F3D601F-E39A-42BE-AEF7-2BF5AD2942D9}.Release|x86.ActiveCfg = Release|x86
 		{9F3D601F-E39A-42BE-AEF7-2BF5AD2942D9}.Release|x86.Build.0 = Release|x86
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Debug|x64.ActiveCfg = Debug|x64
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Debug|x64.Build.0 = Debug|x64
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Debug|x86.ActiveCfg = Debug|x86
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Debug|x86.Build.0 = Debug|x86
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Release|Any CPU.Build.0 = Release|Any CPU
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Release|x64.ActiveCfg = Release|x64
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Release|x64.Build.0 = Release|x64
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Release|x86.ActiveCfg = Release|x86
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Release|x86.Build.0 = Release|x86
 		{E86E215D-E3CE-4244-978D-555D4E17AC09}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E86E215D-E3CE-4244-978D-555D4E17AC09}.Debug|Any CPU.Build.0 = Debug|Any CPU
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/HeuristicLab.Problems.DataAnalysis-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/HeuristicLab.Problems.DataAnalysis-3.3.csproj	(revision 4410)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis/3.3/HeuristicLab.Problems.DataAnalysis-3.3.csproj	(revision 4411)
@@ -133,10 +133,6 @@
     <Compile Include="Interfaces\IOnlineEvaluator.cs" />
     <Compile Include="MatrixExtensions.cs" />
-    <Compile Include="Operators\WeightedParentsQualityVarianceComparator.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
     <Compile Include="RandomEnumerable.cs" />
-    <Compile Include="SupportVectorMachine\ParameterAdjustmentProblem\SupportVectorMachineParameterAdjustmentBestSolutionAnalyzer.cs" />
-    <Compile Include="SupportVectorMachine\ParameterAdjustmentProblem\SupportVectorMachineParameterAdjustmentEvaluator.cs" />
-    <Compile Include="SupportVectorMachine\ParameterAdjustmentProblem\SupportVectorMachineParameterAdjustmentProblem.cs" />
     <Compile Include="SupportVectorMachine\SupportVectorMachineCrossValidationEvaluator.cs" />
     <Compile Include="SupportVectorMachine\SupportVectorMachineModel.cs" />
@@ -256,4 +252,7 @@
     </BootstrapperPackage>
   </ItemGroup>
+  <ItemGroup>
+    <Folder Include="Operators\" />
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
Index: /trunk/sources/HeuristicLab/3.3/Files.txt
===================================================================
--- /trunk/sources/HeuristicLab/3.3/Files.txt	(revision 4410)
+++ /trunk/sources/HeuristicLab/3.3/Files.txt	(revision 4411)
@@ -46,5 +46,4 @@
 HeuristicLab.Problems.ArtificialAnt.Views\3.3:HeuristicLab.Problems.ArtificialAnt.Views-3.3.dll
 HeuristicLab.Problems.DataAnalysis\3.3:HeuristicLab.Problems.DataAnalysis-3.3.dll
-HeuristicLab.Problems.DataAnalysis.FeatureSelection\3.3:HeuristicLab.Problems.DataAnalysis.FeatureSelection-3.3.dll
 HeuristicLab.Problems.DataAnalysis.Regression\3.3:HeuristicLab.Problems.DataAnalysis.Regression-3.3.dll
 HeuristicLab.Problems.DataAnalysis.Views\3.3:HeuristicLab.Problems.DataAnalysis.Views-3.3.dll