Index: /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginInfrastructureEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginInfrastructureEventArgs.cs	(revision 4413)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginInfrastructureEventArgs.cs	(revision 4414)
@@ -24,12 +24,12 @@
 namespace HeuristicLab.PluginInfrastructure.Manager {
   [Serializable]
-  internal sealed class PluginInfrastructureEventArgs : EventArgs {
-    internal object Entity { get; private set; }
-    internal PluginInfrastructureEventArgs(object entity) {
+  public sealed class PluginInfrastructureEventArgs : EventArgs {
+    public object Entity { get; private set; }
+    public PluginInfrastructureEventArgs(object entity) {
       this.Entity = entity;
     }
 
     private static PluginInfrastructureEventArgs emptyArgs = new PluginInfrastructureEventArgs(string.Empty);
-    internal new static PluginInfrastructureEventArgs Empty {
+    public new static PluginInfrastructureEventArgs Empty {
       get { return emptyArgs; }
     }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginManager.cs	(revision 4413)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Manager/PluginManager.cs	(revision 4414)
@@ -31,11 +31,11 @@
   /// Class to manage different plugins.
   /// </summary>
-  internal sealed class PluginManager : MarshalByRefObject {
-    internal event EventHandler<PluginInfrastructureEventArgs> PluginLoaded;
-    internal event EventHandler<PluginInfrastructureEventArgs> PluginUnloaded;
-    internal event EventHandler<PluginInfrastructureEventArgs> Initializing;
-    internal event EventHandler<PluginInfrastructureEventArgs> Initialized;
-    internal event EventHandler<PluginInfrastructureEventArgs> ApplicationStarting;
-    internal event EventHandler<PluginInfrastructureEventArgs> ApplicationStarted;
+  public sealed class PluginManager : MarshalByRefObject {
+    public event EventHandler<PluginInfrastructureEventArgs> PluginLoaded;
+    public event EventHandler<PluginInfrastructureEventArgs> PluginUnloaded;
+    public event EventHandler<PluginInfrastructureEventArgs> Initializing;
+    public event EventHandler<PluginInfrastructureEventArgs> Initialized;
+    public event EventHandler<PluginInfrastructureEventArgs> ApplicationStarting;
+    public event EventHandler<PluginInfrastructureEventArgs> ApplicationStarted;
 
     private string pluginDir;
@@ -45,5 +45,5 @@
     /// Gets all installed plugins.
     /// </summary>
-    internal IEnumerable<PluginDescription> Plugins {
+    public IEnumerable<PluginDescription> Plugins {
       get { return plugins; }
     }
@@ -60,5 +60,5 @@
     private bool initialized;
 
-    internal PluginManager(string pluginDir) {
+    public PluginManager(string pluginDir) {
       this.pluginDir = pluginDir;
       plugins = new List<PluginDescription>();
@@ -70,5 +70,5 @@
     /// Determines installed plugins and checks if all plugins are loadable.
     /// </summary>
-    internal void DiscoverAndCheckPlugins() {
+    public void DiscoverAndCheckPlugins() {
       OnInitializing(PluginInfrastructureEventArgs.Empty);
       AppDomainSetup setup = AppDomain.CurrentDomain.SetupInformation;
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Sandboxing/SandboxManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Sandboxing/SandboxManager.cs	(revision 4413)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/3.3/Sandboxing/SandboxManager.cs	(revision 4414)
@@ -87,4 +87,6 @@
       DefaultApplicationManager applicationManager =
         (DefaultApplicationManager)applicationDomain.CreateInstanceAndUnwrap(applicationManagerType.Assembly.FullName, applicationManagerType.FullName, true, BindingFlags.NonPublic | BindingFlags.Instance, null, null, null, null, null);
+      PluginManager pm = new PluginManager(name);
+      pm.DiscoverAndCheckPlugins();
       ApplicationDescription[] apps = ApplicationManager.Manager.Applications.Cast<ApplicationDescription>().ToArray();
       PluginDescription[] plugins = ApplicationManager.Manager.Plugins.Cast<PluginDescription>().ToArray();