Index: trunk/sources/HeuristicLab.Core.Views/3.3/Clipboard.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/Clipboard.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/Clipboard.cs	(revision 4435)
@@ -182,4 +182,5 @@
         try {
           i++;
+          SetEnabledStateOfContentViews(item, false);
           XmlGenerator.Serialize(item, ItemsPath + Path.DirectorySeparatorChar + i.ToString("00000000") + ".hl", 9);
           OnItemSaved(item, progressBar.Maximum / listView.Items.Count);
@@ -192,7 +193,9 @@
       if (item != null) {
         if (InvokeRequired)
-          Invoke(new Action<T, int>(OnItemLoaded), item, progress);
-        else
+          Invoke(new Action<T, int>(OnItemSaved), item, progress);
+        else {
           progressBar.Value += progress;
+          SetEnabledStateOfContentViews(item, true);
+        }
       }
     }
@@ -203,4 +206,13 @@
         Enabled = true;
         infoPanel.Visible = false;
+      }
+    }
+
+    private void SetEnabledStateOfContentViews(IItem item, bool enabled) {
+      if (InvokeRequired)
+        Invoke((Action<IItem, bool>)SetEnabledStateOfContentViews, item, enabled);
+      else {
+        var views = MainFormManager.MainForm.Views.OfType<IContentView>().Where(v => v.Content == item).ToList();
+        views.ForEach(v => v.Enabled = enabled);
       }
     }
Index: trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.Designer.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.Designer.cs	(revision 4435)
@@ -45,28 +45,15 @@
     /// </summary>
     private void InitializeComponent() {
-      this.valuePanel = new System.Windows.Forms.Panel();
       this.viewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
-      this.valuePanel.SuspendLayout();
       this.SuspendLayout();
-      // 
-      // valuePanel
-      // 
-      this.valuePanel.AllowDrop = true;
-      this.valuePanel.Controls.Add(this.viewHost);
-      this.valuePanel.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.valuePanel.Location = new System.Drawing.Point(0, 0);
-      this.valuePanel.Name = "valuePanel";
-      this.valuePanel.Size = new System.Drawing.Size(359, 274);
-      this.valuePanel.TabIndex = 0;
-      this.valuePanel.DragOver += new System.Windows.Forms.DragEventHandler(this.valuePanel_DragEnterOver);
-      this.valuePanel.DragDrop += new System.Windows.Forms.DragEventHandler(this.valuePanel_DragDrop);
-      this.valuePanel.DragEnter += new System.Windows.Forms.DragEventHandler(this.valuePanel_DragEnterOver);
       // 
       // viewHost
       // 
+      this.viewHost.Caption = "View";
       this.viewHost.Content = null;
       this.viewHost.Dock = System.Windows.Forms.DockStyle.Fill;
       this.viewHost.Location = new System.Drawing.Point(0, 0);
       this.viewHost.Name = "viewHost";
+      this.viewHost.ReadOnly = false;
       this.viewHost.Size = new System.Drawing.Size(359, 274);
       this.viewHost.TabIndex = 0;
@@ -77,8 +64,7 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.valuePanel);
+      this.Controls.Add(this.viewHost);
       this.Name = "VariableValueView";
       this.Size = new System.Drawing.Size(359, 274);
-      this.valuePanel.ResumeLayout(false);
       this.ResumeLayout(false);
 
@@ -87,6 +73,6 @@
     #endregion
 
-    protected HeuristicLab.MainForm.WindowsForms.ViewHost viewHost;
-    protected System.Windows.Forms.Panel valuePanel;
+    protected MainForm.WindowsForms.ViewHost viewHost;
+
   }
 }
Index: trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/VariableValueView.cs	(revision 4435)
@@ -77,9 +77,4 @@
     }
 
-    protected override void SetEnabledStateOfControls() {
-      base.SetEnabledStateOfControls();
-      valuePanel.Enabled = Content != null;
-    }
-
     protected virtual void Content_ValueChanged(object sender, EventArgs e) {
       if (InvokeRequired)
Index: trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ContentView.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ContentView.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ContentView.cs	(revision 4435)
@@ -67,12 +67,10 @@
         } else {
           if (value != locked) {
-            this.SuspendRepaint();
             locked = value;
             OnLockedChanged();
-            this.SetEnabledStateOfControls();
+            SetEnabledStateOfControls();
             PropertyInfo prop = typeof(IContentView).GetProperty("Locked");
             PropagateStateChanges(this, typeof(IContentView), prop);
             OnChanged();
-            this.ResumeRepaint(true);
           }
         }
@@ -111,4 +109,6 @@
     /// </summary>
     protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+      Enabled = Content != null;
     }
   }
Index: trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/View.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/View.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/View.cs	(revision 4435)
@@ -65,15 +65,32 @@
         } else {
           if (value != readOnly) {
-            this.SuspendRepaint();
             this.readOnly = value;
-            this.OnReadOnlyChanged();
-            this.SetEnabledStateOfControls();
+            OnReadOnlyChanged();
+            SetEnabledStateOfControls();
             PropertyInfo prop = typeof(IView).GetProperty("ReadOnly");
             PropagateStateChanges(this, typeof(IView), prop);
-            this.ResumeRepaint(true);
+            OnChanged();
           }
         }
       }
     }
+
+    bool IView.Enabled {
+      get { return base.Enabled; }
+      set {
+        if (base.Enabled != value) {
+          this.SuspendRepaint();
+          base.Enabled = value;
+          bool isTopLevelView = MainFormManager.MainForm.Views.Contains(this);
+          this.ResumeRepaint(isTopLevelView);
+        }
+      }
+    }
+
+    protected override void OnEnabledChanged(EventArgs e) {
+      base.OnEnabledChanged(e);
+      if (Enabled) SetEnabledStateOfControls();
+    }
+
     /// <summary>
     /// This method is called if the ReadyOnly property of the View changes to update the controls of the view.
@@ -160,6 +177,5 @@
           var thisValue = propertyInfo.GetValue(this, null);
           controlPropertyInfo.SetValue(c, thisValue, null);
-        } else
-          PropagateStateChanges(c, type, propertyInfo);
+        } else PropagateStateChanges(c, type, propertyInfo);
       }
     }
@@ -226,12 +242,4 @@
     }
 
-    public new bool Enabled {
-      get { return base.Enabled; }
-      set {
-        SuspendRepaint();
-        base.Enabled = value;
-        ResumeRepaint(true);
-      }
-    }
 
     public void SuspendRepaint() {
Index: trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ViewHost.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ViewHost.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.MainForm.WindowsForms/3.3/ViewHost.cs	(revision 4435)
@@ -61,9 +61,10 @@
             View view = activeView as View;
             if (view != null) {
+              view.Anchor = AnchorStyles.Bottom | AnchorStyles.Left | AnchorStyles.Top | AnchorStyles.Right;
+              view.Size = new System.Drawing.Size(this.Width - this.viewsLabel.Width - this.viewsLabel.Margin.Left - this.viewsLabel.Margin.Right, this.Height);
               view.OnShown(new ViewShownEventArgs(view, false));
               Controls.Add(view);
             }
           } else viewType = null;
-          OnActiveViewChanged();
         }
       }
@@ -84,12 +85,4 @@
           OnViewTypeChanged();
         }
-      }
-    }
-
-    public new bool Enabled {
-      get { return base.Enabled; }
-      set {
-        base.Enabled = value;
-        this.viewsLabel.Enabled = value;
       }
     }
@@ -136,6 +129,6 @@
         IContentView view;
         view = MainFormManager.CreateView(viewType);
+        view.Locked = this.Locked;
         view.ReadOnly = this.ReadOnly;
-        view.Locked = this.Locked;
         ActiveView = view; //necessary to allow the views to change the status of the viewhost
         view.Content = Content;
@@ -145,35 +138,17 @@
     }
 
-    private void OnActiveViewChanged() {
-      this.SuspendRepaint();
-      if (activeView != null) {
-        this.ActiveView.ReadOnly = this.ReadOnly;
-        this.ActiveView.Locked = this.Locked;
-        this.ActiveViewControl.Anchor = AnchorStyles.Bottom | AnchorStyles.Left | AnchorStyles.Top | AnchorStyles.Right;
-        this.ActiveViewControl.Size = new System.Drawing.Size(this.Width - this.viewsLabel.Width - this.viewsLabel.Margin.Left - this.viewsLabel.Margin.Right, this.Height);
-      }
-      this.ResumeRepaint(true);
-    }
-
     private void RegisterActiveViewEvents() {
-      activeView.Changed += new EventHandler(activeView_Changed);
       activeView.CaptionChanged += new EventHandler(activeView_CaptionChanged);
+      activeView.LockedChanged += new EventHandler(activeView_LockedChanged);
     }
     private void DeregisterActiveViewEvents() {
-      activeView.Changed -= new EventHandler(activeView_Changed);
-      activeView.CaptionChanged -= new EventHandler(activeView_CaptionChanged);
+      activeView.CaptionChanged += new EventHandler(activeView_CaptionChanged);
+      activeView.LockedChanged += new EventHandler(activeView_LockedChanged);
     }
     private void activeView_CaptionChanged(object sender, EventArgs e) {
-      this.ActiveViewChanged();
-    }
-    private void activeView_Changed(object sender, EventArgs e) {
-      this.ActiveViewChanged();
-    }
-    private void ActiveViewChanged() {
-      if (ActiveView != null) {
-        this.Caption = this.ActiveView.Caption;
-        this.ReadOnly = this.ActiveView.ReadOnly;
-        this.Locked = this.ActiveView.Locked;
-      }
+      this.Caption = activeView.Caption;
+    }
+    private void activeView_LockedChanged(object sender, EventArgs e) {
+      this.Locked = activeView.Locked;
     }
 
Index: trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IView.cs
===================================================================
--- trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IView.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.MainForm/3.3/Interfaces/IView.cs	(revision 4435)
@@ -27,6 +27,9 @@
     string Caption { get; set; }
     bool ReadOnly { get; set; }
+    bool Enabled { get; set; }
+
+    event EventHandler CaptionChanged;
     event EventHandler ReadOnlyChanged;
-    event EventHandler CaptionChanged;
+    event EventHandler EnabledChanged;
     event EventHandler Changed;
 
Index: trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphView.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphView.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Operators.Views.GraphVisualization/3.3/OperatorGraphVisualization/OperatorGraphView.cs	(revision 4435)
@@ -86,5 +86,5 @@
         screenshotButton.Enabled = true;
         detailsViewHost.Enabled = true;
-        connectButton.Enabled = !ReadOnly && !Locked;
+        connectButton.Enabled = !ReadOnly;
       }
     }
@@ -168,5 +168,5 @@
         this.initialToolStripMenuItem.Enabled = !ReadOnly && !Locked;
         this.breakPointToolStripMenuItem.Checked = op.Breakpoint;
-        this.breakPointToolStripMenuItem.Enabled = !Locked;
+        this.breakPointToolStripMenuItem.Enabled = !ReadOnly && !Locked;
       }
     }
Index: trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Operators.Views/3.3/MultiOperatorView.cs	(revision 4435)
@@ -77,5 +77,5 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      breakpointCheckBox.Enabled = Content != null && !Locked;
+      breakpointCheckBox.Enabled = Content != null && !ReadOnly;
       operatorListView.Enabled = Content != null;
       parameterCollectionView.Enabled = Content != null;
Index: trunk/sources/HeuristicLab.Operators.Views/3.3/OperatorView.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views/3.3/OperatorView.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Operators.Views/3.3/OperatorView.cs	(revision 4435)
@@ -74,5 +74,5 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      breakpointCheckBox.Enabled = Content != null && !Locked;
+      breakpointCheckBox.Enabled = Content != null && !ReadOnly;
     }
 
Index: trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.cs	(revision 4435)
@@ -77,5 +77,5 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      breakpointCheckBox.Enabled = Content != null && !Locked;
+      breakpointCheckBox.Enabled = Content != null && !ReadOnly;
       collectedValuesView.Enabled = Content != null;
       parameterCollectionView.Enabled = Content != null;
Index: trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultView.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultView.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultView.cs	(revision 4435)
@@ -45,5 +45,5 @@
 
     public override bool ReadOnly {
-      get { return base.ReadOnly; }
+      get { return true; }
       set { /*not needed because results are always readonly */}
     }
@@ -54,5 +54,4 @@
     public ResultView() {
       InitializeComponent();
-      base.ReadOnly = true;
     }
 
@@ -91,4 +90,5 @@
       dataTypeTextBox.Enabled = Content != null;
       viewHost.Enabled = Content != null;
+      viewHost.ReadOnly = this.ReadOnly;
     }
 
Index: trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionComparisonConstraintView.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionComparisonConstraintView.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionComparisonConstraintView.cs	(revision 4435)
@@ -86,5 +86,6 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      txtConstraintData.ReadOnly = Content == null || this.ReadOnly;
+      txtConstraintData.Enabled = Content != null;
+      txtConstraintData.ReadOnly = ReadOnly;
     }
 
Index: trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionConstraintView.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionConstraintView.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionConstraintView.cs	(revision 4435)
@@ -83,6 +83,6 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      cmbConstraintColumn.Enabled = !this.ReadOnly && !this.Locked && Content != null;
-      cmbConstraintOperation.Enabled = !this.ReadOnly && !this.Locked && Content != null;
+      cmbConstraintColumn.Enabled = !this.ReadOnly && Content != null;
+      cmbConstraintOperation.Enabled = !this.ReadOnly && Content != null;
       chbActive.Enabled = !this.Locked && Content != null;
     }
Index: trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionEqualityConstraintView.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionEqualityConstraintView.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionEqualityConstraintView.cs	(revision 4435)
@@ -45,5 +45,6 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      txtConstraintData.ReadOnly = Content == null || this.ReadOnly;
+      txtConstraintData.Enabled = Content != null;
+      txtConstraintData.ReadOnly = ReadOnly;
     }
 
Index: trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionTabularView.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionTabularView.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Optimization.Views/3.3/RunCollectionTabularView.cs	(revision 4435)
@@ -35,9 +35,8 @@
     public RunCollectionTabularView() {
       InitializeComponent();
-      base.ReadOnly = true;
     }
 
     public override bool ReadOnly {
-      get { return base.ReadOnly; }
+      get { return true; }
       set { /*not needed because results are always readonly */}
     }
Index: trunk/sources/HeuristicLab.Optimizer/3.3/FileManager.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimizer/3.3/FileManager.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Optimizer/3.3/FileManager.cs	(revision 4435)
@@ -93,7 +93,5 @@
         else {
           ((OptimizerMainForm)MainFormManager.MainForm).SetAppStartingCursor();
-          var views = MainFormManager.MainForm.Views.OfType<IContentView>().Where(v => v.Content == content).ToList();
-          views.ForEach(v => v.ReadOnly = true);
-          views.ForEach(v => v.Locked = true);
+          SetEnabledStateOfContentViews(content, false);
           ContentManager.SaveAsync(content, content.Filename, true, SavingCompleted);
         }
@@ -120,7 +118,5 @@
         if (saveFileDialog.ShowDialog() == DialogResult.OK) {
           ((OptimizerMainForm)MainFormManager.MainForm).SetAppStartingCursor();
-          var views = MainFormManager.MainForm.Views.OfType<IContentView>().Where(v => v.Content == content).ToList();
-          views.ForEach(v => v.ReadOnly = true);
-          views.ForEach(v => v.Locked = true);
+          SetEnabledStateOfContentViews(content, false);
           if (saveFileDialog.FilterIndex == 1) {
             ContentManager.SaveAsync(content, saveFileDialog.FileName, false, SavingCompleted);
@@ -133,7 +129,5 @@
     private static void SavingCompleted(IStorableContent content, Exception error) {
       try {
-        var views = MainFormManager.MainForm.Views.OfType<IContentView>().Where(v => v.Content == content).ToList();
-        views.ForEach(v => v.ReadOnly = false);
-        views.ForEach(v => v.Locked = false);
+        SetEnabledStateOfContentViews(content, true);
         if (error != null) throw error;
         MainFormManager.GetMainForm<OptimizerMainForm>().UpdateTitle();
@@ -146,4 +140,14 @@
       }
     }
+
+    private static void SetEnabledStateOfContentViews(IStorableContent content, bool enabled) {
+      OptimizerMainForm mainForm = MainFormManager.GetMainForm<OptimizerMainForm>();
+      if (mainForm.InvokeRequired)
+        mainForm.Invoke((Action<IStorableContent, bool>)SetEnabledStateOfContentViews, content, enabled);
+      else {
+        var views = MainFormManager.MainForm.Views.OfType<IContentView>().Where(v => v.Content == content).ToList();
+        views.ForEach(v => v.Enabled = enabled);
+      }
+    }
   }
 }
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/ConstantView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/ConstantView.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/ConstantView.cs	(revision 4435)
@@ -58,7 +58,11 @@
       base.SetEnabledStateOfControls();
       minValueTextBox.Enabled = Content != null;
+      minValueTextBox.ReadOnly = ReadOnly;
       maxValueTextBox.Enabled = Content != null;
+      maxValueTextBox.ReadOnly = ReadOnly;
       valueChangeNuTextBox.Enabled = Content != null;
+      valueChangeNuTextBox.ReadOnly = ReadOnly;
       valueChangeSigmaTextBox.Enabled = Content != null;
+      valueChangeSigmaTextBox.ReadOnly = ReadOnly;
     }
 
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/LaggedVariableView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/LaggedVariableView.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/LaggedVariableView.cs	(revision 4435)
@@ -57,5 +57,7 @@
       base.SetEnabledStateOfControls();
       minTimeOffsetTextBox.Enabled = Content != null;
+      minTimeOffsetTextBox.ReadOnly = ReadOnly;
       maxTimeOffsetTextBox.Enabled = Content != null;
+      maxTimeOffsetTextBox.ReadOnly = ReadOnly;
     }
 
Index: trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Problems.DataAnalysis.Views/3.3/Symbolic/Symbols/VariableView.cs	(revision 4435)
@@ -58,7 +58,11 @@
       base.SetEnabledStateOfControls();
       weightNuTextBox.Enabled = Content != null;
+      weightNuTextBox.ReadOnly = ReadOnly;
       weightSigmaTextBox.Enabled = Content != null;
+      weightSigmaTextBox.ReadOnly = ReadOnly;
       weightChangeNuTextBox.Enabled = Content != null;
+      weightChangeNuTextBox.ReadOnly = ReadOnly;
       weightChangeSigmaTextBox.Enabled = Content != null;
+      weightChangeSigmaTextBox.ReadOnly = ReadOnly;
     }
 
Index: trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/PathTSPTourView.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/PathTSPTourView.cs	(revision 4434)
+++ trunk/sources/HeuristicLab.Problems.TravelingSalesman.Views/3.3/PathTSPTourView.cs	(revision 4435)
@@ -71,9 +71,4 @@
         tourViewHost.Content = Content.Permutation;
       }
-    }
-
-    protected override void OnReadOnlyChanged() {
-      base.OnReadOnlyChanged();
-      SetEnabledStateOfControls();
     }
 