Index: /trunk/sources/HeuristicLab.Algorithms.DataAnalysis/3.3/LinearRegression.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.DataAnalysis/3.3/LinearRegression.cs	(revision 4436)
+++ /trunk/sources/HeuristicLab.Algorithms.DataAnalysis/3.3/LinearRegression.cs	(revision 4437)
@@ -41,5 +41,5 @@
   [Creatable("Data Analysis")]
   [StorableClass]
-  public sealed class LinearRegression : EngineAlgorithm {
+  public sealed class LinearRegression : EngineAlgorithm, IStorableContent {
     private const string TrainingSamplesStartParameterName = "Training start";
     private const string TrainingSamplesEndParameterName = "Training end";
@@ -47,4 +47,5 @@
     private const string ModelInterpreterParameterName = "Model interpreter";
 
+    public string Filename { get; set; }
 
     #region Problem Properties
Index: /trunk/sources/HeuristicLab.Algorithms.DataAnalysis/3.3/SupportVectorMachine.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.DataAnalysis/3.3/SupportVectorMachine.cs	(revision 4436)
+++ /trunk/sources/HeuristicLab.Algorithms.DataAnalysis/3.3/SupportVectorMachine.cs	(revision 4437)
@@ -39,5 +39,5 @@
   [Creatable("Data Analysis")]
   [StorableClass]
-  public sealed class SupportVectorMachine : EngineAlgorithm {
+  public sealed class SupportVectorMachine : EngineAlgorithm, IStorableContent {
     private const string TrainingSamplesStartParameterName = "Training start";
     private const string TrainingSamplesEndParameterName = "Training end";
@@ -49,6 +49,8 @@
     private const string GammaParameterName = "Gamma";
     private const string EpsilonParameterName = "Epsilon";
-
     private const string ModelParameterName = "SupportVectorMachineModel";
+
+    public string Filename { get; set; }
+
     #region Problem Properties
     public override Type ProblemType {
Index: /trunk/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/GeneticAlgorithm.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/GeneticAlgorithm.cs	(revision 4436)
+++ /trunk/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/GeneticAlgorithm.cs	(revision 4437)
@@ -40,5 +40,7 @@
   [Creatable("Algorithms")]
   [StorableClass]
-  public sealed class GeneticAlgorithm : EngineAlgorithm {
+  public sealed class GeneticAlgorithm : EngineAlgorithm, IStorableContent {
+    public string Filename { get; set; }
+
     #region Problem Properties
     public override Type ProblemType {
Index: /trunk/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithm.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithm.cs	(revision 4436)
+++ /trunk/sources/HeuristicLab.Algorithms.GeneticAlgorithm/3.3/IslandGeneticAlgorithm.cs	(revision 4437)
@@ -41,5 +41,6 @@
   [Creatable("Algorithms")]
   [StorableClass]
-  public sealed class IslandGeneticAlgorithm : EngineAlgorithm {
+  public sealed class IslandGeneticAlgorithm : EngineAlgorithm, IStorableContent {
+    public string Filename { get; set; }
 
     #region Problem Properties
Index: /trunk/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearch.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearch.cs	(revision 4436)
+++ /trunk/sources/HeuristicLab.Algorithms.LocalSearch/3.3/LocalSearch.cs	(revision 4437)
@@ -37,5 +37,7 @@
   [Creatable("Algorithms")]
   [StorableClass]
-  public sealed class LocalSearch : EngineAlgorithm {
+  public sealed class LocalSearch : EngineAlgorithm, IStorableContent {
+    public string Filename { get; set; }
+
     #region Problem Properties
     public override Type ProblemType {
Index: /trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithm.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithm.cs	(revision 4436)
+++ /trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/IslandOffspringSelectionGeneticAlgorithm.cs	(revision 4437)
@@ -41,5 +41,6 @@
   [Creatable("Algorithms")]
   [StorableClass]
-  public sealed class IslandOffspringSelectionGeneticAlgorithm : EngineAlgorithm {
+  public sealed class IslandOffspringSelectionGeneticAlgorithm : EngineAlgorithm, IStorableContent {
+    public string Filename { get; set; }
 
     #region Problem Properties
Index: /trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/OffspringSelectionGeneticAlgorithm.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/OffspringSelectionGeneticAlgorithm.cs	(revision 4436)
+++ /trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/OffspringSelectionGeneticAlgorithm.cs	(revision 4437)
@@ -40,5 +40,7 @@
   [Creatable("Algorithms")]
   [StorableClass]
-  public sealed class OffspringSelectionGeneticAlgorithm : EngineAlgorithm {
+  public sealed class OffspringSelectionGeneticAlgorithm : EngineAlgorithm, IStorableContent {
+    public string Filename { get; set; }
+
     #region Problem Properties
     public override Type ProblemType {
Index: /trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SASEGASA.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SASEGASA.cs	(revision 4436)
+++ /trunk/sources/HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm/3.3/SASEGASA.cs	(revision 4437)
@@ -41,5 +41,6 @@
   [Creatable("Algorithms")]
   [StorableClass]
-  public sealed class SASEGASA : EngineAlgorithm {
+  public sealed class SASEGASA : EngineAlgorithm, IStorableContent {
+    public string Filename { get; set; }
 
     #region Problem Properties
Index: /trunk/sources/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealing.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealing.cs	(revision 4436)
+++ /trunk/sources/HeuristicLab.Algorithms.SimulatedAnnealing/3.3/SimulatedAnnealing.cs	(revision 4437)
@@ -38,5 +38,7 @@
   [Creatable("Algorithms")]
   [StorableClass]
-  public sealed class SimulatedAnnealing : EngineAlgorithm {
+  public sealed class SimulatedAnnealing : EngineAlgorithm, IStorableContent {
+    public string Filename { get; set; }
+
     #region Problem Properties
     public override Type ProblemType {
Index: /trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearch.cs
===================================================================
--- /trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearch.cs	(revision 4436)
+++ /trunk/sources/HeuristicLab.Algorithms.TabuSearch/3.3/TabuSearch.cs	(revision 4437)
@@ -37,5 +37,7 @@
   [Creatable("Algorithms")]
   [StorableClass]
-  public sealed class TabuSearch : EngineAlgorithm {
+  public sealed class TabuSearch : EngineAlgorithm, IStorableContent {
+    public string Filename { get; set; }
+
     #region Problem Properties
     public override Type ProblemType {
Index: /trunk/sources/HeuristicLab.Optimization/3.3/Algorithm.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Algorithm.cs	(revision 4436)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Algorithm.cs	(revision 4437)
@@ -35,7 +35,5 @@
   [Item("Algorithm", "A base class for algorithms.")]
   [StorableClass]
-  public abstract class Algorithm : ParameterizedNamedItem, IAlgorithm, IStorableContent {
-    public string Filename { get; set; }
-
+  public abstract class Algorithm : ParameterizedNamedItem, IAlgorithm {
     public override Image ItemImage {
       get {
Index: /trunk/sources/HeuristicLab.Optimization/3.3/UserDefinedAlgorithm.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/UserDefinedAlgorithm.cs	(revision 4436)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/UserDefinedAlgorithm.cs	(revision 4437)
@@ -20,4 +20,5 @@
 #endregion
 
+using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -30,5 +31,7 @@
   [Creatable("Algorithms")]
   [StorableClass]
-  public sealed class UserDefinedAlgorithm : EngineAlgorithm, IParameterizedItem {
+  public sealed class UserDefinedAlgorithm : EngineAlgorithm, IParameterizedItem, IStorableContent {
+    public string Filename { get; set; }
+
     public new ParameterCollection Parameters {
       get { return base.Parameters; }