Index: branches/VRP/HeuristicLab 3.3.sln
===================================================================
--- branches/VRP/HeuristicLab 3.3.sln	(revision 4361)
+++ branches/VRP/HeuristicLab 3.3.sln	(revision 4444)
@@ -64,5 +64,4 @@
 		{72104A0B-90E7-42F3-9ABE-9BBBADD4B943} = {72104A0B-90E7-42F3-9ABE-9BBBADD4B943}
 		{3081630C-9521-47D7-8075-1777C12F212C} = {3081630C-9521-47D7-8075-1777C12F212C}
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC} = {7252890C-F207-4AD6-B3C9-764DF93F73CC}
 		{25087811-F74C-4128-BC86-8324271DA13E} = {25087811-F74C-4128-BC86-8324271DA13E}
 		{662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2} = {662B4B15-8F4D-4AE5-B3EB-D91C215F5AF2}
@@ -92,5 +91,4 @@
 		{2C36CD4F-E5F5-43A4-801A-201EA895FE17} = {2C36CD4F-E5F5-43A4-801A-201EA895FE17}
 		{3EAF1454-086D-44A2-8509-B1BA24DB1865} = {3EAF1454-086D-44A2-8509-B1BA24DB1865}
-		{2C429157-9C34-4DD3-9D5F-B444B751E39A} = {2C429157-9C34-4DD3-9D5F-B444B751E39A}
 		{3BD61258-31DA-4B09-89C0-4F71FEF5F05A} = {3BD61258-31DA-4B09-89C0-4F71FEF5F05A}
 		{01BBCB5A-144A-4A7E-908E-079849E2F7CF} = {01BBCB5A-144A-4A7E-908E-079849E2F7CF}
@@ -114,5 +112,4 @@
 		{BF7D9494-A586-457B-8DF9-ED599F9E6A71} = {BF7D9494-A586-457B-8DF9-ED599F9E6A71}
 		{F409DD9E-1E9C-4EB1-AA3A-9F6E987C6E58} = {F409DD9E-1E9C-4EB1-AA3A-9F6E987C6E58}
-		{15452B9F-A436-4139-8EE7-DA72FB8D3664} = {15452B9F-A436-4139-8EE7-DA72FB8D3664}
 		{DE12659F-87C4-48E6-B2E3-4E73DD95A540} = {DE12659F-87C4-48E6-B2E3-4E73DD95A540}
 		{4FE983A1-AAF8-4977-B9E2-52B3224510CB} = {4FE983A1-AAF8-4977-B9E2-52B3224510CB}
@@ -255,6 +252,4 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.3.Tests", "HeuristicLab.Encodings.SymbolicExpressionTreeEncoding\3.3\Tests\HeuristicLab.Encodings.SymbolicExpressionTreeEncoding-3.3.Tests.csproj", "{8824925E-3E00-4543-8293-7DDACE4737F8}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Algorithms.ParticleSwarmOptimization-3.3", "HeuristicLab.Algorithms.ParticleSwarmOptimization\3.3\HeuristicLab.Algorithms.ParticleSwarmOptimization-3.3.csproj", "{2C429157-9C34-4DD3-9D5F-B444B751E39A}"
-EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.DataAnalysis.Views-3.3", "HeuristicLab.Problems.DataAnalysis.Views\3.3\HeuristicLab.Problems.DataAnalysis.Views-3.3.csproj", "{799B0B38-E384-4A17-A73C-F211EB854592}"
 EndProject
@@ -308,8 +303,4 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.MainForm.WindowsForms-3.3.Tests", "HeuristicLab.MainForm.WindowsForms\3.3\Tests\HeuristicLab.MainForm.WindowsForms-3.3.Tests.csproj", "{9F3D601F-E39A-42BE-AEF7-2BF5AD2942D9}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Algorithms.NSGA2-3.3", "HeuristicLab.Algorithms.NSGA2\3.3\HeuristicLab.Algorithms.NSGA2-3.3.csproj", "{15452B9F-A436-4139-8EE7-DA72FB8D3664}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.DataAnalysis.FeatureSelection-3.3", "HeuristicLab.Problems.DataAnalysis.FeatureSelection\3.3\HeuristicLab.Problems.DataAnalysis.FeatureSelection-3.3.csproj", "{7252890C-F207-4AD6-B3C9-764DF93F73CC}"
-EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.ExternalEvaluation.GP-3.3", "HeuristicLab.Problems.ExternalEvaluation.GP\3.3\HeuristicLab.Problems.ExternalEvaluation.GP-3.3.csproj", "{E86E215D-E3CE-4244-978D-555D4E17AC09}"
 EndProject
@@ -319,4 +310,6 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.VehicleRouting.Views-3.4", "HeuristicLab.Problems.VehicleRouting.Views\3.4\HeuristicLab.Problems.VehicleRouting.Views-3.4.csproj", "{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Common-3.3", "HeuristicLab.Clients.Common\3.3\HeuristicLab.Clients.Common-3.3.csproj", "{730A9104-D4D1-4360-966B-E49B7571DDA3}"
 EndProject
 Global
@@ -1077,16 +1070,4 @@
 		{8824925E-3E00-4543-8293-7DDACE4737F8}.Release|x86.ActiveCfg = Release|x86
 		{8824925E-3E00-4543-8293-7DDACE4737F8}.Release|x86.Build.0 = Release|x86
-		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Debug|x64.ActiveCfg = Debug|x64
-		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Debug|x64.Build.0 = Debug|x64
-		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Debug|x86.ActiveCfg = Debug|x86
-		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Debug|x86.Build.0 = Debug|x86
-		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Release|Any CPU.Build.0 = Release|Any CPU
-		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Release|x64.ActiveCfg = Release|x64
-		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Release|x64.Build.0 = Release|x64
-		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Release|x86.ActiveCfg = Release|x86
-		{2C429157-9C34-4DD3-9D5F-B444B751E39A}.Release|x86.Build.0 = Release|x86
 		{799B0B38-E384-4A17-A73C-F211EB854592}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{799B0B38-E384-4A17-A73C-F211EB854592}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -1377,28 +1358,4 @@
 		{9F3D601F-E39A-42BE-AEF7-2BF5AD2942D9}.Release|x86.ActiveCfg = Release|x86
 		{9F3D601F-E39A-42BE-AEF7-2BF5AD2942D9}.Release|x86.Build.0 = Release|x86
-		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Debug|x64.ActiveCfg = Debug|x64
-		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Debug|x64.Build.0 = Debug|x64
-		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Debug|x86.ActiveCfg = Debug|x86
-		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Debug|x86.Build.0 = Debug|x86
-		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Release|Any CPU.Build.0 = Release|Any CPU
-		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Release|x64.ActiveCfg = Release|x64
-		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Release|x64.Build.0 = Release|x64
-		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Release|x86.ActiveCfg = Release|x86
-		{15452B9F-A436-4139-8EE7-DA72FB8D3664}.Release|x86.Build.0 = Release|x86
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Debug|x64.ActiveCfg = Debug|x64
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Debug|x64.Build.0 = Debug|x64
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Debug|x86.ActiveCfg = Debug|x86
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Debug|x86.Build.0 = Debug|x86
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Release|Any CPU.Build.0 = Release|Any CPU
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Release|x64.ActiveCfg = Release|x64
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Release|x64.Build.0 = Release|x64
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Release|x86.ActiveCfg = Release|x86
-		{7252890C-F207-4AD6-B3C9-764DF93F73CC}.Release|x86.Build.0 = Release|x86
 		{E86E215D-E3CE-4244-978D-555D4E17AC09}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{E86E215D-E3CE-4244-978D-555D4E17AC09}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -1449,4 +1406,16 @@
 		{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}.Release|x86.ActiveCfg = Release|x86
 		{7EA0985E-A1D6-4FA7-B30A-2633FDFB01F0}.Release|x86.Build.0 = Release|x86
+		{730A9104-D4D1-4360-966B-E49B7571DDA3}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{730A9104-D4D1-4360-966B-E49B7571DDA3}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{730A9104-D4D1-4360-966B-E49B7571DDA3}.Debug|x64.ActiveCfg = Debug|x64
+		{730A9104-D4D1-4360-966B-E49B7571DDA3}.Debug|x64.Build.0 = Debug|x64
+		{730A9104-D4D1-4360-966B-E49B7571DDA3}.Debug|x86.ActiveCfg = Debug|x86
+		{730A9104-D4D1-4360-966B-E49B7571DDA3}.Debug|x86.Build.0 = Debug|x86
+		{730A9104-D4D1-4360-966B-E49B7571DDA3}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{730A9104-D4D1-4360-966B-E49B7571DDA3}.Release|Any CPU.Build.0 = Release|Any CPU
+		{730A9104-D4D1-4360-966B-E49B7571DDA3}.Release|x64.ActiveCfg = Release|x64
+		{730A9104-D4D1-4360-966B-E49B7571DDA3}.Release|x64.Build.0 = Release|x64
+		{730A9104-D4D1-4360-966B-E49B7571DDA3}.Release|x86.ActiveCfg = Release|x86
+		{730A9104-D4D1-4360-966B-E49B7571DDA3}.Release|x86.Build.0 = Release|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution